package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterAvailable;
import com.lightinit.hsdatashow.entity.StWaterAvailableExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterAvailableMapper {
    long countByExample(StWaterAvailableExample example);

    int deleteByExample(StWaterAvailableExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterAvailable record);

    int insertSelective(StWaterAvailable record);

    List<StWaterAvailable> selectByExample(StWaterAvailableExample example);

    StWaterAvailable selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterAvailable record, @Param("example") StWaterAvailableExample example);

    int updateByExample(@Param("record") StWaterAvailable record, @Param("example") StWaterAvailableExample example);

    int updateByPrimaryKeySelective(StWaterAvailable record);

    int updateByPrimaryKey(StWaterAvailable record);
}